libktorrent (23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:05:40 +0000

libktorrent (23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:38:38 +0000

libktorrent (23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:25:23 -0700

libktorrent (23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:22:30 +0000

libktorrent (23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:43:00 +0000

libktorrent (23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:39:00 +0100

libktorrent (23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:06:18 +0100

libktorrent (23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 13:01:19 +0100

libktorrent (23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:40:44 +0100

libktorrent (23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:57:00 +0100

libktorrent (23.04.2-0ubuntu1) mantic; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (23.04.1)
  * Update installed files
  * New upstream release (23.04.2)

  [ Rik Mills ]
  * Build depend explicitly on pkg-kde-tools. Fixes lintian error
    'missing-build-dependency-for-dh_-command dh_sameversiondep'.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 12:02:42 +0100

libktorrent (22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:45:35 +0000

libktorrent (22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:29:01 -0600

libktorrent (22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:21:13 +0000

libktorrent (22.12.0-3ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.
    - Do not follow debianabimanager bumps.

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Dec 2022 10:11:07 +0000

libktorrent (22.12.0-3) unstable; urgency=medium

  * Team upload.
  * Update the symbols files, also from the logs of buildds.
  * CI: enable again blhc, as it works fine now with blhc 0.13.
  * Use execute_after_dh_shlibdeps to avoid invoking dh_shlibdeps manually.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh

 -- Pino Toscano <pino@debian.org>  Fri, 16 Dec 2022 12:58:09 +0100

libktorrent (22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:05:01 +0100

libktorrent (22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.11.90).
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:13:08 +0100

libktorrent (22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:17:23 +0000

libktorrent (22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:13:33 +0000

libktorrent (22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:55:58 +0000

libktorrent (22.08.3-4) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 24 Nov 2022 22:25:08 +0100

libktorrent (22.08.3-3) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Update more symbols from buildds for 22.08.3.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 23 Nov 2022 22:05:07 +0100

libktorrent (22.08.3-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Update symbols from buildds for 22.08.3.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 23 Nov 2022 10:39:59 +0100

libktorrent (22.08.3-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Bump Standards-Version to 4.6.0, no change required.
  * Added myself to the uploaders.
  * ABI bump due to removed symbol:
    - rename library to libkf5torrent6abi3
    - update symbols, installed files
  * Build with hardening=+all build hardening flag.
  * Drop patch set-pathmax.diff, applied upstream.
  * Drop dbg package migration rule, not needed anymore.
  * Rewrite copyright information in DEP5 machine readable format.
  * Move Salsa URLs from extras group to KDE now that ktorrent is released
    with KDE Gear.
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * Refresh patch enable_debianabimanager.diff.
  * Update symbols from build for 22.08.3.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 20 Nov 2022 17:53:23 +0100

libktorrent (22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:16:20 +0000

libktorrent (22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:47:55 +0100

libktorrent (22.08.0-0ubuntu2) kinetic; urgency=medium

  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Aug 2022 16:27:49 +0100

libktorrent (22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)
  * Refresh enable_debianabimanager.diff
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:57:06 +0100

libktorrent (22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:35:09 +0100

libktorrent (22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:09:49 +0100

libktorrent (22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:09:01 +0100

libktorrent (22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:56:20 +0100

libktorrent (21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:18:49 +0000

libktorrent (21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update debian/watch
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:25:23 +0000

libktorrent (21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:33:12 +0000

libktorrent (21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:30:18 +0000

libktorrent (21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:13:13 +0000

libktorrent (21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:25:36 +0000

libktorrent (21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:32:29 +0000

libktorrent (21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:47:51 +0000

libktorrent (21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)
  * Update symbols, NOTE: this was a very tricky symbols update; apparently some
    leaked symbols triggered the pkgkde-symbolshelper type substitution, which
    replaced some 'm' with '{size_t}', then, this also confused dpkg-gensymbols
    which didn't recognize the substitutions, complaining continuously that
    they were new symbols. As a workaround for this situation, I added the
    symbols in question manually, removing the '{size_t}' substitution.
  * Add doxygen to Build-Depends

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:40:47 +0100

libktorrent (21.08.0-2) unstable; urgency=medium

  * Source-only upload.

 -- Norbert Preining <norbert@preining.info>  Wed, 20 Oct 2021 16:11:31 +0900

libktorrent (21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release within KDE Gears (21.08.0).
  * Update watch file.
  * Add upstream signing key.
  * Update build-deps and deps with the info from cmake.
  * Update patch.
  * Removed Modestas Vainius from the uploaders, thanks for your work on
    the package!
  * Added myself to the uploaders.
  * Update maintainer to Qt/KDE Team.
  * ABI bump due to severe change of symbols/ABI:
    - rename library to libkf5torrent6abi2
    - update symbols, installed files

 -- Norbert Preining <norbert@preining.info>  Fri, 20 Aug 2021 11:42:50 +0900

libktorrent (21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:10:31 +0100

libktorrent (21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 13:05:03 +0100

libktorrent (21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 17 Jul 2021 19:19:41 +0100

libktorrent (21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:51:51 +0100

libktorrent (21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:49:16 +0100

libktorrent (21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:15:41 +0100

libktorrent (21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:46:46 +0100

libktorrent (20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:28:58 +0000

libktorrent (20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 10:02:21 +0000

libktorrent (20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:15:44 +0000

libktorrent (20.12.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.0)
  * Refresh patch enable_debianabimanager.diff
  * Update install files.
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Dec 2020 14:35:35 +0000

libktorrent (2.2.0-3) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Update the symbols file from the logs of buildds; also prepare for
    boost 1.74. (Closes: #975445)

 -- Pino Toscano <pino@debian.org>  Sun, 22 Nov 2020 14:57:39 +0100

libktorrent (2.2.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Fri, 07 Aug 2020 16:57:25 +0200

libktorrent (2.2.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Explicitly add the gettext build dependency.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper build dependency to debhelper-compat 13
    - remove debian/compat
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Add the configuration for the CI on salsa.
  * libkf5torrent6 had an ABI break with no SONAME bump, so:
    - apply the Debian ABI manager; patch enable_debianabimanager.diff
    - rename libkf5torrent6 to libkf5torrent6abi1
  * Update symbols file.

 -- Pino Toscano <pino@debian.org>  Wed, 05 Aug 2020 08:38:43 +0200

libktorrent (2.1.1-2) unstable; urgency=medium

  * Team upload.
  * Update symbols files from buildd's logs.

 -- Pino Toscano <pino@debian.org>  Sat, 28 Sep 2019 21:22:51 +0200

libktorrent (2.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump compat to 11
    - bump the debhelper build dependency to 11
    - remove --parallel to dh
  * Bump Standards-Version to 4.4.0, no changes required.
  * Update symbols file.
  * Switch watch file to https.

 -- Pino Toscano <pino@debian.org>  Sat, 14 Sep 2019 14:53:31 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libktorrent-l10n`.
